import dynamix_sdk.base as _base
from dynamix_sdk.api import _nested


class CloudapiComputeAntiAffinityRuleAddResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiComputeAntiAffinityRuleAddProtocol(
    _base.BasePostAPIFunctionProtocol
):
    def anti_affinity_rule_add(
        self,
        *,
        vm_id: int,
        topology: _nested.AffinityTopology,
        policy: _nested.AffinityPolicy,
        mode: _nested.AffinityMode,
        key: str,
        value: str,
    ) -> CloudapiComputeAntiAffinityRuleAddResultBool:
        ...
